Create Charger
const url = 'https://api.exolink.cloud/tenant/example/charger';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"profileId":1,"displayName":"example","identity":"example","provisioned":false,"chargeBoxSerialNumber":"example","chargePointSerialNumber":"example","meterSerialNumber":"example","chargePointModel":"example","chargePointVendor":"example","firmwareVersion":"example","iccid":"example","imsi":"example","meterType":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.exolink.cloud/tenant/example/charger \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "profileId": 1, "displayName": "example", "identity": "example", "provisioned": false, "chargeBoxSerialNumber": "example", "chargePointSerialNumber": "example", "meterSerialNumber": "example", "chargePointModel": "example", "chargePointVendor": "example", "firmwareVersion": "example", "iccid": "example", "imsi": "example", "meterType": "example" }'Create a new charger
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Configuration profile ID
Charger display name
Unique identity for OCPP communication
Whether charger is pre-provisioned
Charge box serial number
Charge point serial number
Meter serial number
Charge point model
Charge point vendor
Firmware version
SIM card ICCID
SIM card IMSI
Meter type
Responses
Section titled “Responses”Charger created successfully
object
Unique identifier for the charger
ID of the tenant that owns this charger
ID of the configuration profile associated with this charger
User-friendly name for the charger
Indicates whether the charger has been discovered and configured
Unique identity string used for OCPP communication
Serial number of the charge box hardware
Serial number of the charge point
Serial number of the integrated energy meter
Model identifier of the charge point
Manufacturer or vendor of the charge point
Current firmware version running on the charger
Integrated Circuit Card Identifier for the SIM card (if applicable)
International Mobile Subscriber Identity for cellular connectivity (if applicable)
Type or model of the energy meter
Current operational status of the charger
Timestamp when the charger record was created
Timestamp when the charger record was last updated
Timestamp when the charger record was soft-deleted (null if active)
Name of the configuration profile associated with this charger
Indicates whether the charger is currently connected to the platform
Indicates whether the charger is currently connected to the CPMS backend
Name(s) of the CPMS backend(s) this charger is connected to
WebSocket URL(s) of the CPMS backend(s) this charger is connected to
Example
{ "id": 1, "tenantId": 1, "profileId": 1, "displayName": "My Charger", "provisioned": false, "identity": "TEST", "chargeBoxSerialNumber": 12345, "chargePointSerialNumber": 12345, "chargePointModel": "KC-P30-EC2404B2-E00", "chargePointVendor": "Keba AG", "firmwareVersion": "1.0.0", "status": "BLOCKED", "createdAt": "2025-10-15T15:19:50.834Z", "updatedAt": "2025-10-15T15:19:50.834Z", "deletedAt": "2025-10-15T15:19:50.834Z", "profileName": "Loadtest Profile", "cpmsName": "MyCPMS", "cpmsUrl": "wss://cpms.exolink.com"}